GET api/{version}/WeeklyQuestion/GetWeeklyQuestionUrl?studentPushNotificationId={studentPushNotificationId}&studentId={studentId}

Used to get the Test Link and Status of the test

Request Information

URI Parameters

NameDescriptionTypeAdditional information
studentPushNotificationId

integer

Required

studentId

integer

Required

version

string

None.

Body Parameters

None.

Response Information

Resource Description

QuestionOftheWeekResponse
NameDescriptionTypeAdditional information
StatusCode

Gets or sets the Status Code

integer

None.

StatusMessage

Gets or sets the Status Message

string

None.

ErrorMessage

Gets or sets the Error Message

Object

None.

ReturnValue

Gets or sets the Return Value

ReturnValue

None.

result_code

Gets or sets the Result Code

Object

None.

HttpStatus

Gets or sets the Http Status

integer

None.

IsAllowAccess

Gets or sets the Is Allow Access

boolean

None.

StudentProductId

Gets or sets the student product id

integer

None.

RegistrationId

Gets or sets the student registration id

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "StatusCode": 1,
  "StatusMessage": "sample string 2",
  "ErrorMessage": {},
  "ReturnValue": {
    "TestLink": "sample string 1",
    "StatusCode": 2,
    "MobileStatusCode": 3,
    "ResponseMessage": "sample string 4"
  },
  "result_code": {},
  "HttpStatus": 5,
  "IsAllowAccess": true,
  "StudentProductId": 7,
  "RegistrationId": 8
}